"use strict";
var common_vendor = require("../../../../common/vendor.js");
var uni_modules_wotDesignUni_components_wdNavbarCapsule_types = require("./types.js");
require("../common/props.js");
if (!Math) {
  wdIcon();
}
const wdIcon = () => "../wd-icon/wd-icon.js";
const __default__ = {
  name: "wd-navbar-capsule",
  options: {
    virtualHost: true,
    addGlobalClass: true,
    styleIsolation: "shared"
  }
};
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  ...__default__,
  props: uni_modules_wotDesignUni_components_wdNavbarCapsule_types.navbarCapsuleProps,
  emits: ["back", "back-home"],
  setup(__props, { emit }) {
    function handleBack() {
      emit("back");
    }
    function handleBackHome() {
      emit("back-home");
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(handleBack),
        b: common_vendor.p({
          name: "chevron-left",
          ["custom-class"]: "wd-navbar-capsule__icon"
        }),
        c: common_vendor.o(handleBackHome),
        d: common_vendor.p({
          name: "home",
          ["custom-class"]: "wd-navbar-capsule__icon"
        }),
        e: common_vendor.n(`wd-navbar-capsule ${_ctx.customClass}`),
        f: common_vendor.s(_ctx.customStyle)
      };
    };
  }
});
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/uni_modules/wot-design-uni/components/wd-navbar-capsule/wd-navbar-capsule.vue"]]);
wx.createComponent(Component);
